<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-ui.qdoc -->
  <title>Selecting Modes | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Selecting Modes</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-quick-tour.html" />
  <link rel="next" href="creator-sidebar-views.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-quick-tour.html">User Interface</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-sidebar-views.html">Browsing Project Contents</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Selecting Modes</h1>
<span class="subtitle"></span>
<!-- $$$creator-modes.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/qtcreator-mode-selector.png" alt="" /></p><p>The mode selector allows you to quickly switch between tasks such as editing project and source files, designing application UIs, configuring how projects are built and executed, and debugging your applications. To change modes, click the icons, or use the <a href="creator-keyboard-shortcuts.html">corresponding keyboard shortcut</a>.</p>
<p>To hide the mode selector and to save space on the display, select <b>Window</b> &gt; <b>Mode Selector Style</b> &gt; <b>Hidden</b>. To only show icons on the mode selector, select the <b>Icons Only</b> style.</p>
<p>The following image displays an example application in <b>Edit</b> mode (1) and <b>Design</b> mode (2).</p>
<p class="centerAlign"><img src="images/qtcreator-qt-quick-editors.png" alt="&quot;Edit mode and Design mode&quot;" /></p><p>You can use Qt Creator in the following modes:</p>
<ul>
<li><b><a href="creator-quick-tour.html">Welcome</a></b> mode for opening projects.</li>
<li><b><a href="creator-coding.html">Edit</a></b> mode for editing project and source files.</li>
<li><b><a href="creator-design-mode.html">Design</a></b> mode for designing and developing application user interfaces. This mode is available for UI files.</li>
<li><b><a href="creator-debugging.html">Debug</a></b> mode for inspecting the state of your application while debugging and for using code analysis tools to detect memory leaks and profile C++ or QML code.</li>
<li><b><a href="creator-build-settings.html">Projects</a></b> mode for configuring project building and execution. This mode is available when a project is open.</li>
<li><b><a href="creator-help.html">Help</a></b> mode for viewing Qt documentation.</li>
</ul>
<p>Certain actions in Qt Creator trigger a mode change. Clicking on <b>Debug</b> &gt; <b>Start Debugging</b> &gt; <b>Start Debugging</b> automatically switches to <b>Debug</b> mode.</p>
</div>
<!-- @@@creator-modes.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-quick-tour.html">User Interface</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-sidebar-views.html">Browsing Project Contents</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
